import 'package:mmoo_base_video/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base_video/entity/call_entity.dart';
import 'package:mmoo_base/entity/match_entity.dart';


CallEntity $CallEntityFromJson(Map<String, dynamic> json) {
	final CallEntity callEntity = CallEntity();
	final String? callId = jsonConvert.convert<String>(json['callId']);
	if (callId != null) {
		callEntity.callId = callId;
	}
	final String? userName = jsonConvert.convert<String>(json['userName']);
	if (userName != null) {
		callEntity.userName = userName;
	}
	final String? userImage = jsonConvert.convert<String>(json['userImage']);
	if (userImage != null) {
		callEntity.userImage = userImage;
	}
	final bool? callMatch = jsonConvert.convert<bool>(json['callMatch']);
	if (callMatch != null) {
		callEntity.callMatch = callMatch;
	}
	final int? callType = jsonConvert.convert<int>(json['callType']);
	if (callType != null) {
		callEntity.callType = callType;
	}
	final int? toyCost = jsonConvert.convert<int>(json['toyCost']);
	if (toyCost != null) {
		callEntity.toyCost = toyCost;
	}
	final String? callCost = jsonConvert.convert<String>(json['callCost']);
	if (callCost != null) {
		callEntity.callCost = callCost;
	}
	final String? callCostUserId = jsonConvert.convert<String>(json['callCostUserId']);
	if (callCostUserId != null) {
		callEntity.callCostUserId = callCostUserId;
	}
	final String? callPackage = jsonConvert.convert<String>(json['callPackage']);
	if (callPackage != null) {
		callEntity.callPackage = callPackage;
	}
	final String? matchTime = jsonConvert.convert<String>(json['matchTime']);
	if (matchTime != null) {
		callEntity.matchTime = matchTime;
	}
	final List<MatchCostUser>? matchCostUserId = jsonConvert.convertListNotNull<MatchCostUser>(json['matchCostUserId']);
	if (matchCostUserId != null) {
		callEntity.matchCostUserId = matchCostUserId;
	}
	return callEntity;
}

Map<String, dynamic> $CallEntityToJson(CallEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['callId'] = entity.callId;
	data['userName'] = entity.userName;
	data['userImage'] = entity.userImage;
	data['callMatch'] = entity.callMatch;
	data['callType'] = entity.callType;
	data['toyCost'] = entity.toyCost;
	data['callCost'] = entity.callCost;
	data['callCostUserId'] = entity.callCostUserId;
	data['callPackage'] = entity.callPackage;
	data['matchTime'] = entity.matchTime;
	data['matchCostUserId'] =  entity.matchCostUserId?.map((v) => v.toJson()).toList();
	return data;
}

CallLabel $CallLabelFromJson(Map<String, dynamic> json) {
	final CallLabel callLabel = CallLabel();
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		callLabel.name = name;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		callLabel.type = type;
	}
	return callLabel;
}

Map<String, dynamic> $CallLabelToJson(CallLabel entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['name'] = entity.name;
	data['type'] = entity.type;
	return data;
}