import 'package:mmoo_base_video/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base_video/entity/toys_message.dart';

ToysMessage $ToysMessageFromJson(Map<String, dynamic> json) {
	final ToysMessage toysMessage = ToysMessage();
	final bool? clockWise = jsonConvert.convert<bool>(json['clockWise']);
	if (clockWise != null) {
		toysMessage.clockWise = clockWise;
	}
	final int? vibrate = jsonConvert.convert<int>(json['vibrate']);
	if (vibrate != null) {
		toysMessage.vibrate = vibrate;
	}
	final int? rotate = jsonConvert.convert<int>(json['rotate']);
	if (rotate != null) {
		toysMessage.rotate = rotate;
	}
	final int? preset = jsonConvert.convert<int>(json['preset']);
	if (preset != null) {
		toysMessage.preset = preset;
	}
	final bool? connection = jsonConvert.convert<bool>(json['connection']);
	if (connection != null) {
		toysMessage.connection = connection;
	}
	return toysMessage;
}

Map<String, dynamic> $ToysMessageToJson(ToysMessage entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['clockWise'] = entity.clockWise;
	data['vibrate'] = entity.vibrate;
	data['rotate'] = entity.rotate;
	data['preset'] = entity.preset;
	data['connection'] = entity.connection;
	return data;
}